> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get comments



## OpenAPI

````yaml /api-reference/openapi.json get /comments
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /comments:
    get:
      tags:
        - Comments
      summary: Get comments
      operationId: get_comments
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Comment'
                type: array
                title: Response Get Comments
components:
  schemas:
    Comment:
      properties:
        review_id:
          type: string
          title: Review Id
          description: Unique Identifier of a review
        author_id:
          type: integer
          title: Author Id
          description: Unique Identifier of a user
        content:
          type: string
          title: Content
        id:
          type: string
          title: Id
          description: Unique Identifier of a comment
        author:
          $ref: '#/components/schemas/User'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - review_id
        - author_id
        - content
        - id
        - author
        - created_at
        - updated_at
      title: Comment
      description: Class for GET of a Comment on a review
    User:
      properties:
        id:
          type: integer
          title: Id
          description: Unique Identifier of a user
        username:
          type: string
          title: Username
        avatar:
          type: string
          title: Avatar
        role:
          type: string
          title: Role
      type: object
      required:
        - id
        - username
        - avatar
        - role
      title: User
      description: Data about a user.

````